Subject: Re: bug#72245: [PATCH] Fix integer overflow when reading XPM

From: Po Lu <[email-masked]>
Date: Tue, 23 Jul 2024 12:45:44 +0800

Stefan Kangas <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Otherwise I can find no reason to substantially reinvent the wheel and
>> complicate image.c with a pedantic 10-line function for reading
>> numbers with overflow checking, implementations of which already
>> abound in that file in one shape or another.
>
> Thanks, but this diatribe doesn't really help.  If you think you can do
> a better job, then fine by me.  Please show us the patch.

I'm saying that there is nothing to be done.  This change is needless,
and the report should be closed, whatever opinions the security theater
might hold on the matter.